
{
  name: 'ablaze',

  onStart(target) {
    this.effectState.turnCreated = this.turn;
    this.add('-start', target, 'ablaze'); 
  },

  
  onBegin() {
    for (const pokemon of this.getAllActive()) {
      if (!pokemon.volatiles['ablaze']) continue;
      const turnCreated = pokemon.volatiles['ablaze'].turnCreated;
      if (this.turn > turnCreated) {
        pokemon.removeVolatile('ablaze');
        this.add('-end', pokemon, 'ablaze');
        this.add('-message', `${pokemon.name} 的炽焰渐渐熄灭。`);
      }
    }
  },

  
  onSwitchOut() {},
  onFaint() {}
}